PipeWire 1.4.10

Loading...
Searching...
No Matches
spa_meta Struct Reference
SPA » Buffers

A metadata element. More...

`#include <spa/buffer/meta.h>`

## Data Fields
uint32_t | type
| metadata type, one of enum spa_meta_type
uint32_t | size
| size of metadata
void * | data
| pointer to metadata

## Detailed Description

A metadata element.

This structure is available on the buffer structure and contains the type of the metadata and a pointer/size to the actual metadata itself.

Examples
  export-sink.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ type

uint32_t spa_meta::type

metadata type, one of enum spa_meta_type

## ◆ size

uint32_t spa_meta::size

size of metadata

## ◆ data

void* spa_meta::data

pointer to metadata

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h